<?php

namespace Drupal\mymodule\Plugin\rest\resource;

use Drupal\rest\Plugin\ResourceBase;
use Drupal\rest\ResourceResponse;
use Drupal\Core\Cache\CacheableMetadata;

/**
 * Provides a resource to get people
 *
 * @RestResource(
 *   id = "post_people",
 *   label = @Translation("Post people"),
 *   uri_paths = {
 *     "canonical" = "/post_test",
 *   }
 * )
 */
class PostPeople extends ResourceBase {
  /**
   * {@inheritdoc}
   */
  public function get() {

    $cache = CacheableMetadata::createFromRenderArray([
      '#cache' => [
        'max-age' => 600,
      ],
    ]);

    $nodes = \Drupal::entityTypeManager()
      ->getStorage('node')
      ->loadByProperties([
        'type' => 'people',
        'field_swapi_id' => 1,
      ]);

    foreach ($nodes as $item) {
      $node = $item;
    }

    $response = new ResourceResponse(
      [
        'title' => $node->label(),
        'time' => time(),
      ]
    );
    #$cache->addCacheableDependency($node);
    $response->addCacheableDependency($cache);

    return $response;
  }
}
